Loading...
Searching...
No Matches
atsc_consts.h File Reference
`#include <gnuradio/dtv/api.h>`
Include dependency graph for atsc_consts.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::dtv

## Variables

static constexpr int | gr::dtv::ATSC_MPEG_DATA_LENGTH = 187
static constexpr int | gr::dtv::ATSC_MPEG_PKT_LENGTH = 188
static constexpr int | gr::dtv::ATSC_MPEG_RS_ENCODED_LENGTH = 207
static constexpr int | gr::dtv::MPEG_SYNC_BYTE = 0x47
static constexpr int | gr::dtv::MPEG_TRANSPORT_ERROR_BIT = 0x80
static constexpr double | gr::dtv::ATSC_SYMBOL_RATE = 4.5e6 / 286 * 684
static constexpr double | gr::dtv::ATSC_DATA_SEGMENT_RATE = ATSC_SYMBOL_RATE / 832
static constexpr int | gr::dtv::ATSC_DATA_SEGMENT_LENGTH
static constexpr int | gr::dtv::ATSC_DSEGS_PER_FIELD = 312